Bug 126815 - Calc-diagonal cell border xlsx file
Summary: Calc-diagonal cell border xlsx file
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:pdf, regression
Depends on:
Blocks: PDF-Export Regressions-FrameBorderPrimitive
  Show dependency treegraph
 
Reported: 2019-08-10 18:28 UTC by Andrzej
Modified: 2022-10-09 03:49 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample file (11.14 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-08-10 18:29 UTC, Andrzej
Details
PDF output from LibreOffice 6.4 master (1.58 KB, application/pdf)
2019-09-26 08:35 UTC, Xisco Faulí
Details
LO 5.4_6.3_6.4-View a sample file (66.52 KB, image/png)
2019-10-08 06:04 UTC, Andrzej
Details
Before removing diagonal border from cell C6 - everything is OK (1.58 KB, application/pdf)
2019-10-08 06:09 UTC, Andrzej
Details
PDF output from LO 5.4.7_before removing_v1 (1.58 KB, application/pdf)
2019-10-08 06:14 UTC, Andrzej
Details
PDF output from LO 5.4.7_after removing_v2 (1.56 KB, application/pdf)
2019-10-08 06:15 UTC, Andrzej
Details
PDF output from LO 6.3.2.2_before removing_v1 (1.68 KB, application/pdf)
2019-10-08 06:19 UTC, Andrzej
Details
PDF output from LO 6.3.2.2_after removing_v2 (1.53 KB, application/pdf)
2019-10-08 06:20 UTC, Andrzej
Details
PDF output from LO 6.4_before removing_v1 (1.69 KB, application/pdf)
2019-10-08 06:21 UTC, Andrzej
Details
PDF output from LO 6.4_after removing_v2 (1.54 KB, application/pdf)
2019-10-08 06:22 UTC, Andrzej
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrzej 2019-08-10 18:28:26 UTC
Description:
There is a problem with the cell border thickness when using diagonal border

Steps to Reproduce:
1. Open the sample file
2. Export to PDF file
3. Remove diagonal border from cell C6
4. Re-export the file to PDF
5. Re-export the file to PDF

Actual Results:
Different border thickness of cell C5

Expected Results:
It is supposed to work like in LO 5.4.7


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Andrzej 2019-08-10 18:29:15 UTC
Created attachment 153288 [details]
Sample file
Comment 2 Andrzej 2019-08-10 18:31:17 UTC
point 5. Compare both exported PDF files
Comment 3 raal 2019-08-11 09:32:53 UTC
No repro with Version: 6.4.0.0.alpha0+
Build ID: 63889d3d465e9b4292dd5bb630bd3394494c8a6d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
Comment 4 Xisco Faulí 2019-09-26 08:35:40 UTC
Created attachment 154518 [details]
PDF output from LibreOffice 6.4 master
Comment 5 Xisco Faulí 2019-09-26 08:35:57 UTC
I can't reproduce it in

Version: 6.4.0.0.alpha0+
Build ID: 186d36a7036462ae641b35004b4ffba3eeeca46f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Xisco Faulí 2019-09-26 08:39:44 UTC
Nor in

Versión: 6.3.1.2 (x86)
Id. de compilación: b79626edf0065ac373bd1df5c28bd630b4424273
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

Could you please attached the output PDF file ?

To be certain the reported issue is not
related to corruption in the user profile, could you please reset your
Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and
re-test?

I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the issue is still present
Comment 7 Andrzej 2019-10-08 06:04:11 UTC
Created attachment 154807 [details]
LO 5.4_6.3_6.4-View a sample file
Comment 8 Andrzej 2019-10-08 06:09:47 UTC
Created attachment 154808 [details]
Before removing diagonal border from cell C6 - everything is OK
Comment 9 Andrzej 2019-10-08 06:10:53 UTC
Comment on attachment 154808 [details]
Before removing diagonal border from cell C6 - everything is OK

Before removing diagonal border from cell C6 - everything is OK
Comment 10 Andrzej 2019-10-08 06:14:41 UTC
Created attachment 154809 [details]
PDF output from LO 5.4.7_before removing_v1

Before removing diagonal border from cell C6 - everything is OK
Comment 11 Andrzej 2019-10-08 06:15:58 UTC
Created attachment 154810 [details]
PDF output from LO 5.4.7_after removing_v2

After removing diagonal border from cell C6 - everything is OK
Comment 12 Andrzej 2019-10-08 06:19:22 UTC
Created attachment 154811 [details]
PDF output from LO 6.3.2.2_before removing_v1

Before removing diagonal border from cell C6 - Invalid border line width
Comment 13 Andrzej 2019-10-08 06:20:30 UTC
Created attachment 154812 [details]
PDF output from LO 6.3.2.2_after removing_v2

After removing diagonal border from cell C6 - everything is OK
Comment 14 Andrzej 2019-10-08 06:21:27 UTC
Created attachment 154813 [details]
PDF output from LO 6.4_before removing_v1

Before removing diagonal border from cell C6 - Invalid border line width
Comment 15 Andrzej 2019-10-08 06:22:29 UTC
Created attachment 154814 [details]
PDF output from LO 6.4_after removing_v2

After removing diagonal border from cell C6 - everything is OK
Comment 16 QA Administrators 2019-10-09 02:30:06 UTC Comment hidden (obsolete)
Comment 17 Andrzej 2019-10-23 11:17:06 UTC
And?
Comment 18 QA Administrators 2019-10-24 02:42:05 UTC Comment hidden (obsolete)
Comment 19 Buovjaga 2020-04-28 19:57:36 UTC
Bibisected with win32-6.2 to https://git.libreoffice.org/core/+/313392119522c21a6ecd14403d6f92c948149df7%5E!/
Reorganize FrameBorderPrimitive creation (II)
Comment 20 Aron Budea 2020-05-10 22:31:04 UTC
(In reply to Buovjaga from comment #19)
> Bibisected with win32-6.2 to
> https://git.libreoffice.org/core/+/
> 313392119522c21a6ecd14403d6f92c948149df7%5E!/
> Reorganize FrameBorderPrimitive creation (II)
Same commit as for bug 122704 and bug 127134.
Comment 21 QA Administrators 2022-10-09 03:49:17 UTC
Dear Andrzej,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug